import request from '@/utils/request'

// 查询机器人配置列表
export function listRobot(query) {
  return request({
    url: '/device/robot/list',
    method: 'get',
    params: query
  })
}

// 查询机器人配置详细
export function getRobot(id) {
  return request({
    url: '/device/robot/' + id,
    method: 'get'
  })
}

// 新增机器人配置
export function addRobot(data) {
  return request({
    url: '/device/robot',
    method: 'post',
    data: data
  })
}

// 修改机器人配置
export function updateRobot(data) {
  return request({
    url: '/device/robot',
    method: 'put',
    data: data
  })
}

// 删除机器人配置
export function delRobot(id) {
  return request({
    url: '/device/robot/' + id,
    method: 'delete'
  })
}
